个人博客
专注IT梦想的地方

关于解决牛牛WEB截屏插件无法再jq1.9+以上执行的问题

最近在做一个留言功能,其中有一个小工具是截屏功能,类似于QQ的截图功能,但是仅限在web内部,也可以说在浏览器内部即可。

初步想法肯定是不会去现写,于是在搜索上找了许多,无奈于不想自己写,只能用别人的控件,还需要下载一个.exe的支持文件才行,然后找到了一个叫牛牛截图web控件,发现使用简单,而且已经封装好了相关js库,只需要简单调用才能使用,但是写完代码发现不能使用,控制台也不报错误,很奇怪。

于是联系到该软件的作者,经过和作者的沟通请求帮助后,作者爽快的答应并无私的帮忙查看代码,经过短暂的排查后作者解决了这个问题,并且回复了我相关问题点。

OK,找到问题点接下来就是见证奇迹的时刻了。

原来,官方封装的控件中使用了jquery的老版本$.browser方法,该方式是老版本获取浏览器标识的一个解决办法,但是不是完美的,也并不推荐使用,并且在1.9版本之后也删除了该方法,同步用于代替的方法为$.support,所以,如果你发现你的牛牛web截屏控件使用的是1.9版本以上的Jq,那么可以建议你更新下牛牛截图封装的js里的$.browser该方法,当然,如果你很懒,你也可以直接到官方下载最新的演示包,因为作者已经在官方文档包中更新了。

附牛牛截图官方地址:http://www.ggniu.cn/

 

✈️🚀🚁🚆🚄🚅🚈🚝🚲🔫💸💴💵💷💶💰💳📲👾🎸🏇🚴🚵⚽️🏄🍭🌊🐉🐔🐭🐧🐦🐤🐥🐣🐔🐍🐢🐛🐝🐜🐞🐌🐙🐚🐠🐟🐬🐳🐋🐄🐏🐀🐓🐊🐃🐕🐫🐅🐖🐪🐇🐁🐆🐉🐂🐈🐎🐲🐩🐐🐡🐾🍀🌐🌠🌌🌋🌍🌍🌎😇😹👹👽👃👣💎

赞(1) 打赏
未经允许,不得转载本站任何文章:智言个人博客 » 关于解决牛牛WEB截屏插件无法再jq1.9+以上执行的问题

评论 抢沙发

评论前必须登录!

 

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏